View Issue Details

IDProjectCategoryView StatusLast Update
0000006Jovian Wars RulesBalancepublic2021-11-29 16:47
ReporterWiseKensai Assigned ToWiseKensai  
PrioritynormalSeveritymajorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version1.2.1 
Target Version1.2.3Fixed in Version1.2.2 
Summary0000006: Skill Check Gates are too high
DescriptionSkill checks gate a lot of actions and are often on 2d6 (< 20% odds) and are a binary pass fail. Since it's a 1/activation attempt, this feels bad and has the appearance of wasting time during a game. An especially good example of this is the Break Off action in Dogfights.
TagsNo tags attached.

Activities

WiseKensai

2021-11-10 21:11

administrator   ~0000008

It might make sense to either (or both):

1. Increase the average skill rating of models
2. Make Special Actions that require skill checks scale in effectiveness, i.e. [N] does something unimpressive, [D] does something good, [T+] does something great.

WiseKensai

2021-11-10 21:28

administrator   ~0000009

Some potential ideas from Micky Serendipity, these would be new Special Actions with skill checks, and these would be the options. This is for book keeping only, and not an actual proposal for test.

ECM:X
 * Passive: Units attacking this unit subtract X from their Sensors score when calculating their range.
 * Skill Check [N]: Units attacking this unit or friendly units within short range subtract X from their Sensors score when calculating their range.
 * Skill Check [D]: When this unit or a friendly unit within short range is hit by an attack apply -X Macro dice. This ability stacks with [N]

Jammer:X
  * Passive: When measuring to determine if the effects of enemy e-war gear applies to this unit, this unit is considered X” further away.
 * Skill Check [D]: Whenever an enemy unit within Sensor range attempts a skill check, apply -X Macro dice.
 * Skill Check [T]: Whenever an enemy unit within Sensor range attempts a skill check, diminish the result. This ability replaces [D].

Missile Beacon
 * Passive: Add +/- 1 to missile attacks against enemy units within sensor range of this unit.
 * Skill Check [D]: Add +/-2 to missile attacks against enemy units within sensor range of this unit.

Target Designator
 * Passive: Add +/- 1 to non-missile attacks against enemy units within sensor range of this unit.
 * Skill Check [D]: Add +/- 2 to non-missile attacks against enemy units within sensor range of this unit.

Communications:X
 * Passive: Friendly models are considered X” closer to this unit when determining if e-war gear applies.

Command
 * Passive: Friendly units within short range of this unit can use its Skill instead of their own when making skill checks.
 * Skill Check [D]: When this unit completes its activation, instead of play passing to your opponent, you can activate another unit. That unit is considered to have activated normally (it can’t be activated again this round).
 * Skill Check [T]: The next time you activate a unit, if that unit makes a skill check, escalate the results. This ability stacks with [D]

WiseKensai

2021-11-29 16:47

administrator   ~0000010

I took the idea for graded skill check results, and implemented it in 1.2.2.

Issue History

Date Modified Username Field Change
2021-11-06 08:27 WiseKensai New Issue
2021-11-06 08:27 WiseKensai Status new => assigned
2021-11-06 08:27 WiseKensai Assigned To => WiseKensai
2021-11-06 08:33 WiseKensai Category General => Balance
2021-11-10 21:11 WiseKensai Note Added: 0000008
2021-11-10 21:28 WiseKensai Note Added: 0000009
2021-11-29 16:47 WiseKensai Note Added: 0000010
2021-11-29 16:47 WiseKensai Status assigned => resolved
2021-11-29 16:47 WiseKensai Resolution open => fixed
2021-11-29 16:47 WiseKensai Fixed in Version => 1.2.2